#!/bin/sh

rm sql*log;
for tds in 4.2 7.0 8.0 9.0
do
    echo;
    echo;
    for server_version in 2000 2005
    do 
        echo "###############################";
        echo -n "TDS $tds  ";
        echo "SERVER $server_version";
        echo "###############################";
        export TDSVER=$tds;
        export TDSDUMP=sql_$server_version.tds_$tds.log;
        for data in datetime float int string
        do 
            echo "DATA $data";
            perl sql$server_version.output_$data.pl;
            echo;
        done
        TEMPF=`mktemp`;
        perl snip_login.pl $TDSDUMP  > $TEMPF;
        mv $TEMPF $TDSDUMP;
    done;
done;
